Integration Client Prerequisites

There are several prerequisites that must be in place before installing and running the integration client:

  • Prior to BeyondTrust 16.1, credentials for a BeyondTrust account require permissions to view reports and make backups. For BeyondTrust versions 16.1 and above, an API account with reporting and backup permissions is required.
  • A Windows machine (7 or later) with access to both the external system to which data is to be transferred and the BeyondTrust PRA site from which data is to be extracted.
  • Storage space sufficient to retain all desired recordings, session data, and backups.
  • Microsoft .NET Framework 4.5 or later
  • On the host system, an enabled cipher suite matching one enabled on /appliance > Security > SSL/TLS Configuration
  • The XML API interface enabled from the /login > Management > API Configuration page

The SQL Server has an additional set of requirements:

  • Microsoft SQL Server Database 2008, 2008 R2, or 2012 Standard Edition or above. If you are running an earlier version of SQL Server, contact BeyondTrust Technical Support to determine if the database can be configured for your environment. BeyondTrust suggests a size of 100 GBs for the server database.
  • Permission to create tables and execute INSERT, UPDATE, DELETE and SELECT statements in a specific database. Two tables are required on the SQL Server.

You may download the integration client installer from the Patches and Utilities page in the BeyondTrust Self-Service Center, or request it from BeyondTrust Technical Support: help.bomgar.com.